Bug 1808460 - No way for users to specify custom OS image location
Summary: No way for users to specify custom OS image location
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.4.0
Assignee: Mike Fedosin
QA Contact: David Sanz
URL:
Whiteboard:
Depends On: 1808456
Blocks: 1808482
TreeView+ depends on / blocked
 
Reported: 2020-02-28 15:03 UTC by Mike Fedosin
Modified: 2020-05-04 11:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1808456
Environment:
Last Closed: 2020-05-04 11:43:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 3205 0 None closed [release-4.4] Bug 1808460: OpenStack: allow to overwrite default os image in the install config 2020-09-30 13:47:06 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:43:59 UTC

Description Mike Fedosin 2020-02-28 15:03:23 UTC
+++ This bug was initially created as a clone of Bug #1808456 +++

For disconnected installs users need to specify a custom OS location to a local storage in the install config. Now there is no possibility to do this, which means disconnected installs are not supported.

`OPENSHIFT_INSTALL_OS_IMAGE_OVERRIDE` env variable can't be used because it is for developers only

Comment 3 David Sanz 2020-03-03 11:39:14 UTC
Verified on 4.4.0-0.nightly-2020-03-03-110909

Comment 5 errata-xmlrpc 2020-05-04 11:43:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.